package com.knecon.fforesight.service.viewerdoc.model;

import java.awt.geom.Point2D;
import java.util.LinkedList;
import java.util.List;

import lombok.AccessLevel;
import lombok.Getter;
import lombok.experimental.FieldDefaults;

@Getter
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = true)
public class Outline {

    List<Entry> entries = new LinkedList<>();

    public record Entry(String name, JumpAction action, List<Entry> children) {

    }

    public record JumpAction(int pageNumber, Point2D position) {

    }

}
